
ChiliProject - Feature # 789: Provide a rackup file for Rack-only servers like pow.cx

Status: Closed Priority: Normal
Author: Jeffrey MACKO Category: Libraries
Created: 2011-12-26 Assignee: Holger Just
Updated: 2012-01-03 Due date:
Remote issue URL:
Affected version: 2.5.0
Description: It's just a quick patch to make chiliproject work out of the box with http://pow.cx/

You just have to copy this code in a file named @config.ru@ into the root chiliproject folder and it should 
work.

<pre>
# Rack Dispatcher

# Require your environment file to bootstrap Rails
require File.dirname(__FILE__) + '/config/environment'

# Dispatch the request
run ActionController::Dispatcher.new
</pre>

Associated revisions
2008-03-07 06:15 pm - Jean-Philippe Lang 
Translations (closes #789, #790, #798, #803, #809):
* Danish added (Mads Vestergaard)
* Polish updated (Mariusz Olejnik)
* Finnish updated (Antti PerkiÃ¶mÃ¤ki)
* Simplified Chinese updated (chaoqun zou)
* Traditional Chinese updated (shortie lo)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1204 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-03 04:31 pm - Holger Just 
[#789] Add config.ru for Rack-only servers

2012-01-29 09:47 pm - Holger Just 
[#849 #789] Remove config.ru as Rails 2.3 doesn work well as a rack-only app

2012-02-06 10:50 pm - Holger Just 
[#849 #789] Remove config.ru - Backport for 2.7

Rails 2.3 doesn't work well as a rack-only app

History
2011-12-26 01:30 pm - Holger Just
- Target version deleted (2.6.0)

- Subject changed from Don't work with pow.cx to Provide a rackup file for Rack-only servers like pow.cx

- Tracker changed from Bug to Feature

- Affected version set to 2.5.0
- Description changed from It's just a quick patch to make chiliproject work out of the box with http://pow.cx/
You just have to copy this code in a file named config.ru into the root chiliproject folder and it should work.

<pre>
# Rack Dispatcher

# Require your environment file to bootstrap Rails
require File.dirname(__FILE__) + '/config/environment'

# Dispatch the request
run ActionController::Dispatcher.new
</pre> to It's just a quick patch to make chiliproject work out of the box with http://pow.cx/
You just have to copy this code in a file named @config.ru@ into the root chiliproject folder and it should work.

<pre>
# Rack Dispatcher

# Require your environment file to bootstrap Rails
require File.dirname(__FILE__) + '/config/environment'

# Dispatch the request
run ActionController::Dispatcher.new
</pre>

2012-01-03 03:35 pm - Holger Just
- Target version set to 2.6.0

- Assignee set to Holger Just

- Status changed from Open to Closed

I added the @config.ru@ in commit:49cd6f8.

However, I didn't use your vanilla code but the recommended version from the "Ruby on Rails 
Guides":http://guides.rubyonrails.org/v2.3.8/rails_on_rack.html#rackup with a slightly adapted @require@ to not be dependent on the load path.
